ISP does not update the server

Discussion in 'Installation/Configuration' started by Walterpet, Oct 22, 2020.

  1. Walterpet

    Walterpet Member

    Dear Sir,

    I installed ubuntu minimal 18.04.5 LTS (Bionic Beaver) locally and installed ISPConfig 3.2. Everything works fine.
    Then I installed, from the terminal, the php versions 7.3 and 7.4 and configured them on the isp config panel.
    I changed the php version in the local website.
    As you can see from the attached images, ISP does not update the server. (I've been waiting for about 3 hours)
    How can I solve?
    best regards,
    Walter
     

    Attached Files:

  2. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

  3. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    How did you install those additional PHP versions? Did you remember to set system default PHP back to the original version in Ubuntu 18.04?
    Code:
    update-alternatives --config php
    update-alternatives --config php-cgi
     
  4. Walterpet

    Walterpet Member

    Hi,
    I have followed the instructions of Th0m and am waiting to read the system logs
    However I have been fiddling with the command line server a bit and I get this message:
    Could it be due to these problems? how can i solve?

    The following packages have unmet dependencies:
    php-apcu: Conflicts: php-xcache
    php-xcache: Depends: php5.6-xcache (> = 3.2.0-3 + ubuntu18.04.1 + deb.sury.org + 1 ~) but it is not going to be installed
    php5.6-apcu: Conflicts: php-xcache
    php7.0-apcu: Conflicts: php-xcache
    php7.1-apcu: Conflicts: php-xcache
    php7.2-apcu: Conflicts: php-xcache
    php7.3-apcu: Conflicts: php-xcache
    php7.4-apcu: Conflicts: php-xcache
    php8.0-apcu: Conflicts: php-xcache
    E: Error, pkgProblemResolver :: Resolve has generated interruptions. This could be caused by blocked packets.
     
  5. Walterpet

    Walterpet Member

    Reply:
    Choose 1-5 [2]:
    crontab: installing new crontab
    [email protected]:~# /usr/local/ispconfig/server/server.sh
    PHP Warning: Module 'apc' already loaded in Unknown on line 0
    22.10.2020-18:01 - DEBUG - Calling function 'check_phpini_changes' from plugin 'webserver_plugin' raised by action 'server_plugins_loaded'.
    22.10.2020-18:01 - DEBUG - Remove Lock: /usr/local/ispconfig/server/temp/.ispconfig_lock
    finished server.php.
    PHP Warning: Module 'apc' already loaded in Unknown on line 0
     
  6. Walterpet

    Walterpet Member

  7. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    I do not have official versions.
    You did not answer my question about doing the update-alternatives.
     
  8. Walterpet

    Walterpet Member

    Hai ragione, pensavo di eseguire solo i due comandi:
    update-alternatives --config php

    Ultimo accesso: ven 23 ottobre 12:29:28 2020
    pettinati @ server: ~ $ su -
    Parola d'ordine:
    root @ server: ~ # update-alternatives --config php
    Sono disponibili 3 scelte per l'alternativa php (che fornisce / usr / bin / php).

    Selezione Percorso Priorità Stato
    -------------------------------------------------- ----------
    0 /usr/bin/php7.4 74 modalità automatica
    * 1 /usr/bin/php7.2 72 modalità manuale
    2 /usr/bin/php7.3 73 modalità manuale
    3 /usr/bin/php7.4 74 modalità manuale

    Premere Invio per mantenere il valore predefinito [*] o digitare il numero della selezione:

    root @ server: ~ # update-alternatives --config php-cgi
    Sono disponibili 2 scelte per l'alternativa php-cgi (che fornisce /usr/bin/php-cgi).

    Selezione Percorso Priorità Stato
    ------------------------------------------------------------
    0 /usr/bin/php-cgi7.3 73 modalità automatica
    * 1 /usr/bin/php-cgi7.2 72 modalità manuale
    2 /usr/bin/php-cgi7.3 73 modalità manuale

    Premere Invio per mantenere il valore predefinito[*] o digitare il numero della selezione:
     
  9. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Using LANG=C in front of a command makes the output appear in english.
    Code:
    LANG=C update-alternatives --config php
     
    Th0m likes this.
  10. Walterpet

    Walterpet Member

    [QUOTE = "Taleman, post: 410761, member: 143306"] L'uso di LANG = C davanti a un comando fa apparire l'output in inglese.
    Code:
     LANG = C update-alternatives --config php [/ CODE] [/ QUOTE]
    
    [email protected]:~# LANG=C update-alternatives --config php
    There are 3 choices for the alternative php (providing /usr/bin/php).
    
      Selection    Path             Priority   Status
    ------------------------------------------------------------
    * 0            /usr/bin/php7.4   74        auto mode
      1            /usr/bin/php7.2   72        manual mode
      2            /usr/bin/php7.3   73        manual mode
      3            /usr/bin/php7.4   74        manual mode
    
    Press <enter> to keep the current choice[*], or type selection number: 1
    update-alternatives: using /usr/bin/php7.2 to provide /usr/bin/php (php) in manual mode
    [email protected]:~#
     
  11. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    I'm pretty sure Ubuntu 18.04 does not come with PHP 7.4, so that setting should not work.
     
  12. Walterpet

    Walterpet Member

    Do you recommend me to upgrade to ubuntu 20.04?
     
  13. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    No, you should reconfigure the OS to use the PHP version that shipped with it.
     
  14. Walterpet

    Walterpet Member

    Hi Th0m,
    I reconfigured the OS and installed again the php multi versions following this lineup, but it doesn't work:
    sudo apt update -y
    sudo apt install php5.6 php5.6-fpm -y
    sudo apt install php7.4 php7.4-fpm -y

    sudo systemctl status php5.6-fpm
    sudo systemctl status php7.4-fpm

    sudo a2enmod actions fcgid alias proxy_fcgi

    sudo systemctl restart apache2
     
  15. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    What does now work? In what way does it not work?
    You did not show any output of those commands, did they all finish without errors?
    Third time: have you or have you not set the default PHP version back to what it was originally for your OS?
     
  16. Walterpet

    Walterpet Member

    I have set the default php version
    If I set the default version on the website then everything works regularly, if instead I choose the PHP 7.2 or 7.4 version the server goes into error 500
    Per configurare i php aggiuntivi ho settato:
    PHP 7.2
    Percorso per PHP FastCGI binary: php7.2-cgi
    Percorso per php.ini directory: /etc/php/7.2/cgi/php.ini
    Percorso per PHP-FPM init script: php7.2-fpm
    Percorso per php.ini directory: /etc/php/7.2/fpm/php.ini
    Percorso per PHP-FPM pool directory: /etc/php/7.2/fpm/pool.d
    Sir Taleman, I'm not so experienced as to understand your requests on the fly, I need more support and understanding
     
  17. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    I do not understand Italian, but if the additional PHP versions do not work for a website my first guess is you have not installed the necessary PHP modules for PHP versions 7.2 and 7.4.
    Has this thread turned to another problem and the initial problem that is in topic about ISPConfig Panel keeping the red dot with number at upper edge of window is now solved?
     

Share This Page